Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_PortableGroup_Acceptor_Registry Class Reference

More...

`#include <PortableGroup_Acceptor_Registry.h>`

Collaboration diagram for TAO_PortableGroup_Acceptor_Registry:

[legend]
List of all members.

## Public Types
typedef ACE_Unbounded_Queue< Entry > | Acceptor_Registry
typedef ACE_Unbounded_Queue_Iterator< Entry > | Acceptor_Registry_Iterator
## Public Member Functions
| TAO_PortableGroup_Acceptor_Registry (void)
| Default constructor.
| ~TAO_PortableGroup_Acceptor_Registry (void)
| Default destructor.
void | open (const TAO_Profile *profile, TAO_ORB_Core &orb_core)
| Open an acceptor based on a tagged profile.
int | close_all (void)
| Close all open acceptors.
## Protected Member Functions
void | open_i (const TAO_Profile *profile, TAO_ORB_Core &orb_core, TAO_ProtocolFactorySetItor &factory)
| Helper function to open a group acceptor.
int | find (const TAO_Profile *profile, Entry *&entry)
| Find an acceptor by using a profile.
## Private Member Functions
| TAO_PortableGroup_Acceptor_Registry (const TAO_PortableGroup_Acceptor_Registry &)
void | operator= (const TAO_PortableGroup_Acceptor_Registry &)
## Private Attributes
Acceptor_Registry | registry_
| List of acceptors that are currently open.

## Detailed Description

There is one TAO_PortableGroup_Acceptor_Registry per ORB_Core.

## Member Typedef Documentation

typedef ACE_Unbounded_Queue<Entry> TAO_PortableGroup_Acceptor_Registry::Acceptor_Registry

typedef ACE_Unbounded_Queue_Iterator<Entry> TAO_PortableGroup_Acceptor_Registry::Acceptor_Registry_Iterator

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_PortableGroup_Acceptor_Registry::TAO_PortableGroup_Acceptor_Registry | ( | void |  | ) |

| Default constructor.

TAO_PortableGroup_Acceptor_Registry::~TAO_PortableGroup_Acceptor_Registry | ( | void |  | ) |

| Default destructor.

TAO_PortableGroup_Acceptor_Registry::TAO_PortableGroup_Acceptor_Registry | ( | const TAO_PortableGroup_Acceptor_Registry & |  | ) | `[private]`

## Member Function Documentation

int TAO_PortableGroup_Acceptor_Registry::close_all | ( | void |  | ) |

| Close all open acceptors.

int TAO_PortableGroup_Acceptor_Registry::find | ( | const TAO_Profile * | profile,
|  | Entry *& | entry
| ) | `[protected]`

| Find an acceptor by using a profile.

void TAO_PortableGroup_Acceptor_Registry::open | ( | const TAO_Profile * | profile,
|  | TAO_ORB_Core & | orb_core
| ) |

| Open an acceptor based on a tagged profile.

void TAO_PortableGroup_Acceptor_Registry::open_i | ( | const TAO_Profile * | profile,
|  | TAO_ORB_Core & | orb_core,
|  | TAO_ProtocolFactorySetItor & | factory
| ) | `[protected]`

| Helper function to open a group acceptor.

void TAO_PortableGroup_Acceptor_Registry::operator= | ( | const TAO_PortableGroup_Acceptor_Registry & |  | ) | `[private]`

## Member Data Documentation

Acceptor_Registry TAO_PortableGroup_Acceptor_Registry::registry_`[private]`

| List of acceptors that are currently open.

The documentation for this class was generated from the following files:

- PortableGroup_Acceptor_Registry.h
- PortableGroup_Acceptor_Registry.cpp